View Issue Details

IDProjectCategoryView StatusLast Update
0001614Wishes_Commonpublic2013-02-03 04:33
ReporterDAtaManAssigned Tovskirdin 
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status closedResolutionfixed 
Product Version2.0 
Target VersionFixed in Version 
Summary0001614: Построчный скроллинг в режиме far.exe /w
DescriptionПострочное скроллирование консольного буфера клавишами Ctrl-Alt-Up/Down

Патч прилагается.
Additional InformationЕсли бы ещё и граббер мог работать в этом режиме, было бы супер.
TagsNo tags attached.
Build0

Relationships

related to 0000514 closed2useven10 Изменение поведения ctrl+alt+shift в редакторе 

Activities

DAtaMan

2010-12-07 11:53

reporter  

manager.cpp.diff (586 bytes)
--- D:/Program Files/FAR2/Source/unicode_far/Patches/manager.cpp	Sat Dec 04 00:08:25 2010
+++ D:/Program Files/FAR2/Source/unicode_far/Patches/managerNew.cpp	Tue Dec 07 13:36:04 2010
@@ -954,6 +954,22 @@
 		{
 			switch (Key)
 			{
+				case KEY_CTRLALTUP:
+					if(Opt.WindowMode)
+					{
+						Console.ScrollWindow(-1);
+						return TRUE;
+					}
+					break;
+
+				case KEY_CTRLALTDOWN:
+					if(Opt.WindowMode)
+					{
+						Console.ScrollWindow(1);
+						return TRUE;
+					}
+					break;
+
 				case KEY_CTRLALTPGUP:
 					if(Opt.WindowMode)
 					{
manager.cpp.diff (586 bytes)

JohnDoe

2010-12-07 12:18

updater   bugnote:0005998

Имхо весь этот скроллинг не надо пихать в фар.
В том числе и постраничный, и в конец/начало.

DAtaMan

2010-12-07 12:53

reporter   bugnote:0006000

Это всего лишь wish :)

Мне понадобилось -> сделал -> поделился.
А там уж каждый решает сам, нужно ему это или нет.

JohnDoe

2010-12-07 14:22

updater   bugnote:0006003

Нужность я как раз не оспариваю, дело нужное.

Только вот одному построчно надо, другому поэкранно, третьему вообще горизонтальный скроллинг подавай.
На всё клавиш не напасёшься, не говоря уже о том, что комбинации с Alt вообще не рекомендуются.

Правильнее поступить как ранее сделали с XLat'ом: с помощью макросов.
Обсуждение тут: http://forum.farmanager.com/viewtopic.php?f=15&t=5409

vskirdin

2010-12-28 10:05

administrator   bugnote:0006045

Согласен - макросом нужно (функцией)
Но пока недоболтали функицю, применю этот патч.
После появления макро-scroll() вынесу напрочь из менеджера обработку клавиш на скроллинг.

samlyukov

2011-01-09 07:58

reporter   bugnote:0006074

а я считаю, что скроллинг должен быть "из коробки" (т.к. /w официальный ключ), а макросы предназначены для переназначения кнопок...

JohnDoe

2011-01-09 21:41

updater   bugnote:0006080

XLat я так понимаю тоже должен быть "из коробки"?

Макросы могут быть не менее официальны, достаточно положить их в Addons.

samlyukov

2011-01-10 07:50

reporter   bugnote:0006085

XLat - это "с боку бантик", в отличии от...
Мое мнение - для нормальной работы в любом режиме должно быть достаточно exe+lng.

samlyukov

2011-09-10 11:24

reporter   bugnote:0007637

можно закрыть. удалять уж точно не надо.

Issue History

Date Modified Username Field Change
2010-12-07 11:53 DAtaMan New Issue
2010-12-07 11:53 DAtaMan File Added: manager.cpp.diff
2010-12-07 12:18 JohnDoe Note Added: 0005998
2010-12-07 12:53 DAtaMan Note Added: 0006000
2010-12-07 14:22 JohnDoe Note Added: 0006003
2010-12-28 10:05 vskirdin Note Added: 0006045
2010-12-28 10:05 vskirdin Assigned To => vskirdin
2010-12-28 10:05 vskirdin Status new => feedback
2011-01-09 07:58 samlyukov Note Added: 0006074
2011-01-09 21:41 JohnDoe Note Added: 0006080
2011-01-10 07:50 samlyukov Note Added: 0006085
2011-09-10 11:24 samlyukov Note Added: 0007637
2011-12-08 15:04 2useven10 Relationship added related to 0000514
2012-06-08 17:50 DAtaMan Status feedback => resolved
2012-06-09 08:58 vskirdin Build => 0
2012-06-09 08:58 vskirdin Status resolved => closed
2012-06-09 08:58 vskirdin Resolution open => fixed
2013-02-03 04:33 alexy Severity minor => feature